Bug 73509 - [PATCH] devel/antlr: update to 2.7.4 and improvements
Summary: [PATCH] devel/antlr: update to 2.7.4 and improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-04 01:20 UTC by Herve Quiroz
Modified: 2004-11-15 04:17 UTC (History)
1 user (show)

See Also:


Attachments
antlr-2.7.4.patch (21.64 KB, patch)
2004-11-04 01:20 UTC, Herve Quiroz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Herve Quiroz freebsd_committer 2004-11-04 01:20:26 UTC
- Update to 2.7.4
- Update to bsd.java.mk 2.0
- Use HAS_CONFIGURE and CONFIGURE_ENV
- Cleanup unnecessary *_DEPENDS
- Honor hier(7): install examples in ${EXAMPLESDIR}
- Honor Porter's handbook: install JAR in ${JAVAJARDIR}
- Cleanup unnecessary port variables
- No longer use DIST_SUBDIR
- Use javavmwrapper in shell script (rather than hardcoding the use of a
  particular JVM)
- New option WITH_BUILD_JAVA_LIB which force the build of the Java lib
- Semi-dynamic plist (for examples and docs only)

Port maintainer (mainland@apeiron.net) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Herve Quiroz freebsd_committer 2004-11-04 01:22:14 UTC
State Changed
From-To: open->feedback

Maintainer notified. Awaiting his approval. 


Comment 2 Herve Quiroz freebsd_committer 2004-11-04 01:22:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

I'll handle this.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2004-11-12 15:34:34 UTC
State Changed
From-To: feedback->open

From misfiled PR 73848: 

Works for me. Could you remove me as port maintainer also, as I no 
longer use antlr. 

Geoff
Comment 4 Herve Quiroz freebsd_committer 2004-11-15 04:17:26 UTC
State Changed
From-To: open->closed

Commited.